### Function

# Gimp RunGradientCallback

#### Declaration

    void
    (* GimpRunGradientCallback) (
      const gchar* gradient_name,
      gint width,
      const gdouble* grad_data,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`gradient_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint`
| No description available.
`grad_data` | `const gdouble*`
| No description available.
| The data is owned by the caller of the function.
`dialog_closing` | `gboolean`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.